/* PARA DATATABLES */
.dataTables_wrapper .dt-buttons {
    background-color: transparent;
    box-shadow: none;
    border: none;
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-bottom: 15px;
}

.dataTables_wrapper .btn {
    color: #ffffff;
    border-radius: 4px;
    padding: 5px 15px;
    font-size: 14px;
}

.dataTables_wrapper .dt-buttons .btn {
    border-radius: 4px;
    padding: 5px 15px;
    font-size: 14px;
    color: #fff;
}

.dataTables_wrapper .dt-buttons .btn-success {
    background-color: #28a745;
    border: none;
}

.dataTables_wrapper .dt-buttons .btn-danger {
    background-color: #dc3545;
    border: none;
}

.dataTables_wrapper .dt-buttons .btn-info {
    background-color: #17a2b8;
    border: none;
}

.dataTables_wrapper .dt-buttons .btn-warning {
    background-color: #ffc107;
    border: none;
}

.dataTables_wrapper .dt-buttons .btn-primary {
    background-color: #007bff;
    border: none;
}

.dataTables_length {
    display: block !important;
}

.profile-user-img {
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 50%;
    border: 3px solid #ddd;
}

/* Para estilizar imágenes en tablas listado */
.img-rounded {
    width: 60px;
    /* Ancho fijo */
    height: 40px;
    /* Alto fijo */
    border-radius: 20%;
    /* Bordes redondeados (más suaves) */
    object-fit: contain;
    /* Asegura que la imagen cubra completamente el contenedor */
    object-position: center;
    /* Centra la imagen si no cubre completamente el contenedor */
    border: 2px solid #65696b;
    /* Borde más grueso de 2px y color gris oscuro */
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    /* Sombra sutil para darle profundidad */
    transition: all 0.3s ease;
    /* Suaviza la transición al pasar el mouse */
}

.img-rounded-logo {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    object-fit: cover;
    object-position: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease, box-shadow 0.3s ease;

    &:hover {
        transform: scale(1.1);
        box-shadow: 0 6px 10px rgba(0, 0, 0, 0.3);
    }
}

/* Efecto al pasar el mouse (hover) */
.img-rounded:hover {
    transform: scale(3);
    /* Le da un efecto de zoom en el lado derecho */
    transform-origin: left;
    /* Establece el punto de escalado en el lado derecho */
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    /* Sombra más pronunciada al pasar el mouse */
    border-color: #4e5b62;
    /* Cambia el color del borde cuando se pasa el mouse */
}

/* PARA FIJAR LAS COLUMNAS DE LA TABLA HORARIOS  */
#horarios-table th:nth-last-child(1),
#horarios-table td:nth-last-child(1) {
    position: sticky;
    right: 0;
    background: white;
    z-index: 2;
    box-shadow: -1px 0 5px rgba(0, 0, 0, 0.1);
}

/* 🔹 Estilos Generales para Modo Oscuro */
body.dark-mode {

    /* Última columna de la tabla #horarios-table */
    #horarios-table th:nth-last-child(1),
    #horarios-table td:nth-last-child(1) {
        background: #343a40;
        color: white;
        box-shadow: -1px 0 5px rgba(255, 255, 255, 0.1);
    }

    /* 🔹 Select2 - Estilos Compartidos */
    .select2-container--bootstrap4 {

        .select2-selection--single,
        .select2-selection--multiple {
            background-color: #343a40 !important;
            color: white !important;
            border: 1px solid #6c757d !important;
        }

        .select2-selection__rendered {
            color: white !important;
        }

        .select2-results__option {
            background-color: #343a40 !important;
            color: white !important;
        }

        .select2-results__option[aria-selected="true"] {
            background-color: #24282c !important;
        }

        .select2-results__option--highlighted {
            background-color: #495057 !important;
        }
    }

    /* 🔹 Select2 - Específico para Múltiple */
    .select2-selection--multiple {
        .select2-selection__choice {
            background-color: #495057 !important;
            border: 1px solid #6c757d !important;
            color: white !important;
        }

        .select2-selection__choice__remove {
            color: #ffc107 !important;
        }
    }
}

/* Estilos para switch en formularios */
.switch-toggle {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 30px;
}

.switch-toggle input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: .4s;
    border-radius: 30px;
}

.slider:before {
    position: absolute;
    content: "";
    height: 24px;
    width: 24px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    transition: .4s;
    border-radius: 50%;
}

input:checked+.slider {
    background-color: #28a745;
}

input:checked+.slider:before {
    transform: translateX(30px);
}

.switch-label {
    margin-left: 10px;
    font-weight: bold;
}